#ifndef SHOPSETTINGSFORM_H
#define SHOPSETTINGSFORM_H

#include <QWidget>
#include <QToolButton>
#include <formbinder.h>
#include <QMap>
#include "shopsettings.h"
#include <core.h>
#include "shopitem.h"
#include "data/favorititem.h"
#include "favbutton.h"

namespace Ui {
class ShopSettingsForm;
}

class ShopSettingsForm : public FormBinder<ShopSettings>
{
    Q_OBJECT

public:
    explicit ShopSettingsForm(QWidget *parent = 0);
    ~ShopSettingsForm();

private:
    Ui::ShopSettingsForm *ui;
    AutoTableModel<ShopItem> *m_itemModel;
    int m_favBtnRows;
    int m_favBtnCols;
    int m_favBtnSize;
    QMap<QString, FavoritItemPtr> m_btnMap;
    void drawButtons();

    // IForm interface
public:
    void loadEntity();

public slots:
    bool saveRecord();

private slots:
    void on_btnCertBrowse_clicked();
    void on_favBtnCols_textChanged(const QString &arg1);
    void on_favBtnRows_textChanged(const QString &arg1);
    void on_favBtnSize_textChanged(const QString &arg1);
};

#endif // SHOPSETTINGSFORM_H
